classification
Title: Derby: Convert the binascii module to use Argument Clinic
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: 20161 20376 Superseder:
Assigned To: serhiy.storchaka Nosy List: larry, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-01-06 19:49 by serhiy.storchaka, last changed 2014-01-25 10:00 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
binascii_clinic.patch serhiy.storchaka, 2014-01-18 12:29 review
Messages (6)
msg207473 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-01-06 19:49
Here is a patch which converts the binascii module to use Argument Clinic. 14 functions are converted.

There is one known issue. Pydoc doesn't show signature and docstring for several functions: a2b_qp, b2a_qp, crc32.
msg207596 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-01-07 20:55
Can you refresh the patch?  The comments Argument Clinic uses were all changed.  I'll review when you have a fresh patch.
msg207628 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-01-07 23:58
Here is refreshed patch.
msg207647 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-01-08 00:25
Serhiy: Assigning to you because you wrote a patch; if you don't want the issue, sorry, please undo it.
msg209173 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-01-25 09:22
New changeset 21f8abfe459a by Serhiy Storchaka in branch 'default':
Issue #20151: The binascii module now uses Argument Clinic.
http://hg.python.org/cpython/rev/21f8abfe459a
msg209180 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-01-25 09:49
New changeset 76a3cc6f3aca by Serhiy Storchaka in branch 'default':
Fixed converting errors in the binascii module (issue20151).
http://hg.python.org/cpython/rev/76a3cc6f3aca
History
Date User Action Args
2014-01-25 10:00:29serhiy.storchakasetstatus: open -> closed
dependencies: - Argument Clinic doesn't handle module level functions with module parameter well
resolution: fixed
stage: patch review -> resolved
2014-01-25 09:49:56python-devsetmessages: + msg209180
2014-01-25 09:22:14python-devsetnosy: + python-dev
messages: + msg209173
2014-01-25 09:01:38serhiy.storchakasetdependencies: + Argument Clinic: backslashes in docstrings are not escaped
2014-01-25 08:53:48serhiy.storchakasetdependencies: + Argument Clinic doesn't handle module level functions with module parameter well
2014-01-18 12:29:49serhiy.storchakasetfiles: + binascii_clinic.patch
2014-01-18 12:28:57serhiy.storchakasetfiles: - binascii_clinic.patch
2014-01-18 12:28:17serhiy.storchakasetfiles: - binascii_clinic.patch
2014-01-08 01:36:37r.david.murraylinkissue20187 dependencies
2014-01-08 00:25:45larrysetassignee: serhiy.storchaka
messages: + msg207647
2014-01-07 23:58:03serhiy.storchakasetfiles: + binascii_clinic.patch

messages: + msg207628
2014-01-07 20:55:07larrysetmessages: + msg207596
title: Convert the binascii module to use Argument Clinic -> Derby: Convert the binascii module to use Argument Clinic
2014-01-07 09:40:01serhiy.storchakasetdependencies: + inspect.signature fails on some functions which use Argument Clinic
2014-01-06 19:49:08serhiy.storchakacreate